<template>
  <slot></slot>
</template>

<script setup>
import { usePage } from '@inertiajs/vue3';
import { onBeforeUnmount, watch } from 'vue';
import { useToast, POSITION } from "vue-toastification";

const page = usePage();
const toast = useToast();
watch(() => page.props.flash.success, (value) => {
  if (value) {
    toast.success(value, { position: POSITION.BOTTOM_RIGHT });
  }
})

watch(() => page.props.errors, (value) => {
  if (Object.keys(value).length > 0) {
    toast.error(value[Object.keys(value)[0]], { position: POSITION.BOTTOM_RIGHT });
  }
})

onBeforeUnmount(() => {
  toast.clear();
})
</script>